declare type NodeClass =
	engine.Container
	| engine.Label
	| engine.Image
	| engine.ShapeBase
	| engine.TextInput
	| engine.BitmapText
	| engine.ScrollList
	;

declare const args: any;
declare const scope: any;
declare const props: ProcessProps | any;
declare const target: NodeClass;
declare const global: {
	gameStage: engine.GameStage,
	dataCenter: engine.DataCenter,
	env: EnvProps,
};
declare const vm: engine.VM;
